Puzzle / Developers
API referenceCompany

Get Chart of Accounts

GET /company/{id}/chartOfAccounts

GET/company/{id}/chartOfAccounts

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

basis?string

Value in

  • "cash"
  • "accrual"
startDate?string
Length1 <= length
effectiveDate?string

Calendar date, YYYY-MM-DD

Length1 <= length
nominalCode?string
getRestricted?string

Boolean flag; "true" enables, any other value disables

Response Body

application/json

curl -X GET "https://example.com/company/string/chartOfAccounts"
{  "accounts": [    {      "id": "string",      "name": "string",      "coaKeys": [        "string"      ],      "restrictedCoaKeys": [        "string"      ],      "nominalCode": "string",      "description": "string",      "keywords": [        "string"      ],      "type": "string",      "tags": [        "string"      ],      "category": "string",      "subCategory": "string",      "tertiaryCategory": "string",      "parentCode": "string",      "currentBalance": {        "amount": "string",        "currency": "str"      },      "currentBalanceWithoutSubAccounts": {        "amount": "string",        "currency": "str"      },      "isBankAccount": true,      "accountId": "string",      "views": [        "string"      ],      "currentness": "string"    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z